import type { PackageDependency, PackageFileContent } from '../types';
import { AzurePipelines, Container, Repository } from './schema';
export declare function extractRepository(repository: Repository): PackageDependency | null;
export declare function extractContainer(container: Container): PackageDependency | null;
export declare function extractAzurePipelinesTasks(task: string): PackageDependency | null;
export declare function parseAzurePipelines(content: string, packageFile: string): AzurePipelines | null;
export declare function extractPackageFile(content: string, packageFile: string): PackageFileContent | null;
